/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011 Red Hat Inc. and/or its affiliates and other
 * contributors as indicated by the @author tags. All rights reserved.
 * See the copyright.txt in the distribution for a full listing of
 * individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.infinispan.cdi.test.testutil;

import java.io.File;

import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;

/**
 * Arquillian deployment utility class.
 *
 * @author Kevin Pollet <kevin.pollet@serli.com> (C) 2011 SERLI
 */
public final class Deployments {
    /**
     * The base deployment web archive. The CDI extension is packaged as an
     * individual jar.
     */
    public static WebArchive baseDeployment() {
        return ShrinkWrap.create(WebArchive.class, "test.war")
                .addAsWebInfResource(Deployments.class.getResource("/beans.xml"), "beans.xml")
                .setWebXML(Deployments.class.getResource("/web.xml"))
                .addAsLibraries(
                        new File("target/test-libs/jboss-marshalling.jar"),
                        new File("target/test-libs/jboss-marshalling-river.jar"),
                        new File("target/test-libs/infinispan-core.jar"),
                        new File("target/test-libs/infinispan-core-tests.jar"),
                        new File("target/test-libs/infinispan-cdi.jar"),
                        new File("target/test-libs/infinispan-jcache.jar"),
                        new File("target/test-libs/infinispan-commons.jar"),
                        new File("target/test-libs/cache-api.jar"),
                        new File("target/test-libs/infinispan-client-hotrod.jar"),
                        new File("target/test-libs/jgroups.jar"),
                        new File("target/test-libs/staxmapper.jar"),
                        new File("target/test-libs/jta.jar"),
                        new File("target/test-libs/cdi-api.jar"),
                        new File("target/test-libs/weld-servlet.jar")
                );
    }
}
